//
//  NextViewController.m
//  TransFormTest
//
//  Created by Amoson on 2016/10/16.
//  Copyright © 2016年 Amoson. All rights reserved.
//

#import "NextViewController.h"
#import "TransMark.h"
#import "ViewController.h"
@interface NextViewController ()<UINavigationControllerDelegate,UIViewControllerTransitioningDelegate>

@end

@implementation NextViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor grayColor];
    UIButton * but = [UIButton buttonWithType:UIButtonTypeCustom];
    [but addTarget:self action:@selector(click) forControlEvents:UIControlEventTouchUpInside];
    [but setTitle:@"返回" forState:UIControlStateNormal];
    [but setFrame:CGRectMake(100, 100, 100, 30)];
    [self.view addSubview:but];
}

-(void)viewWillAppear:(BOOL)animated{
    [super viewWillAppear:animated];
    self.navigationController.delegate = self;
}

-(void)click{
    
    [self.navigationController popViewControllerAnimated:YES];
}
- (nullable id <UIViewControllerAnimatedTransitioning>)navigationController:(UINavigationController *)navigationController
                                            animationControllerForOperation:(UINavigationControllerOperation)operation
                                                         fromViewController:(UIViewController *)fromVC
                                                           toViewController:(UIViewController *)toVC
{
    if ([toVC isKindOfClass:[ViewController class]]) {
        TransMark *tranisition = [[TransMark alloc]initWithTransitionType:TransitionTypePop];
        return tranisition;
    }else
    {
        return nil;
    }
    
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
